summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-05-22 15:56:35 +0100
committerLeah Rowe <leah@libreboot.org>2024-05-22 15:56:35 +0100
commitfc3b0ba8bf706e3ddb9f0826477d2d200c06c1e7 (patch)
tree57701002b56134b1236e3356cb78d5de1f7b3b7c /include
parentdae10dd48210fe26e79d5eea4e625c3041300e29 (diff)
git.sh: shorter variable names
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rwxr-xr-xinclude/git.sh13
1 files changed, 6 insertions, 7 deletions
diff --git a/include/git.sh b/include/git.sh
index 46371f90..686eb496 100755
--- a/include/git.sh
+++ b/include/git.sh
@@ -119,16 +119,15 @@ git_prep()
patch_submodules()
{
- moddir="${PWD}/config/submodule/$project"
- [ -n "$tree" ] && moddir="$moddir/$tree"
- [ -d "$moddir" ] || return 0
+ mdir="${PWD}/config/submodule/$project"
+ [ -n "$tree" ] && mdir="$mdir/$tree"
+ [ -d "$mdir" ] || return 0
git -C "$tmpgit" submodule status | awk '{print $2}' > \
- "$tmpdir/modules" || $err "$moddir: cannot list submodules"
+ "$tmpdir/modules" || $err "$mdir: cannot list submodules"
- while read -r modsrcdir; do
- modpatchdir="$moddir/${modsrcdir##*/}/patches"
- git_am_patches "$tmpgit/$modsrcdir" "$modpatchdir"
+ while read -r msrcdir; do
+ git_am_patches "$tmpgit/$msrcdir" "$mdir/${msrcdir##*/}/patches"
done < "$tmpdir/modules"
}